MooseX::Storage::IO::AtomicFile(3)

NAME
MooseX::Storage::IO::AtomicFile - An Atomic File I/O role

SYNOPSIS
  package Point;
  use Moose;
  use MooseX::Storage;

  with Storage('format' => 'JSON', 'io' => 'AtomicFile');

  has 'x' => (is => 'rw', isa => 'Int');
  has 'y' => (is => 'rw', isa => 'Int');

  1;

  my $p = Point->new(x => 10, y => 10);

  ## methods to load/store a class
  ## on the file system

  $p->store('my_point.json');

  my $p2 = Point->load('my_point.json');

METHODS

load ($filename)
store ($filename)

  Introspection

meta

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Chris Prather <chris.prather@iinteractive.com>

Stevan Little <stevan.little@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2007-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.